
<form [formGroup]="personForm" (ngSubmit)="onSubmit()">
  <input type="text" name="name" placeholder="Name" formControlName="name"/>
  <ng-container *ngIf="nameControl.touched || !nameControl.pristine">
    <span style="color: red;" *ngIf="nameControl.errors?.['required']">Le champ est requis.</span>
    <span style="color: red;" *ngIf="nameControl.errors?.['pattern']">Le champ ne respecte pas le format attendu.</span>
  </ng-container>
  <br/>
  <input type="number" name="age" placeholder="Age" formControlName="age"/><br/>
  <button [disabled]="!personForm.valid">submit</button>
</form>

{{personForm.value.name}} {{personForm.value.age}}
